package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrEqMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrEq;
import com.goldenwater.slaj.eutr.service.IBisEutrEqService;

@Service
public class BisEutrEqServiceImpl implements IBisEutrEqService {
    @Autowired
    private BisEutrEqMapper bisEutrEqMapper;

    @Override
    public BisEutrEq selectBisEutrEqByGuid(String guid) {
        return bisEutrEqMapper.selectBisEutrEqByGuid(guid);
    }

    @Override
    public List<BisEutrEq> selectBisEutrEqList(BisEutrEq bisEutrEq) {
        return bisEutrEqMapper.selectBisEutrEqList(bisEutrEq);
    }

    @Override
    public int insertBisEutrEq(BisEutrEq bisEutrEq) {
        return bisEutrEqMapper.insertBisEutrEq(bisEutrEq);
    }

    @Override
    public int updateBisEutrEq(BisEutrEq bisEutrEq) {
        return bisEutrEqMapper.updateBisEutrEq(bisEutrEq);
    }

    @Override
    public int deleteBisEutrEqByGuid(String guid) {
        return bisEutrEqMapper.deleteBisEutrEqByGuid(guid);
    }

    @Override
    public int deleteBisEutrEqByGuids(String[] guids) {
        return bisEutrEqMapper.deleteBisEutrEqByGuids(guids);
    }
}
